Subject: Problem with system commands: cp and mv
From: "Kerry Sanger" <[email-masked]>
To: <[email-masked]>
Date: Fri, 8 Jun 2001 16:54:01 -0700

I can't cp or mv any simple executable..example:

     simple C program - expire.c

     compile and link expire.c:
    
            gcc -c -I. expire.c
            gcc expire.o -o expire

     from the current directory where the expire
     executable exists and where a subdirectory util
     exists:                  cp expire util/
    -or-                      cp expire util/expire
    -or-                      mv expire util/
    -or-                      mv expire util/expire

     all return: 'expire and util/expire are the same file'..eh?
     there is no util/expire..so what's it seeing/comparing? 

     I can cp or mv any other flat file or library ( .a ) I've
     created to util..just not any of the executables.

     cygwin seems to think the current path and the
     current path/util are the same as though I were 
     attempting: cp expire ./expire
     ( in which case I would expect the error:
         expire and expire are the same file ).

     I can go to a dos window and:

       copy dcheck.exe util
-or- copy dcheck.exe util\
-or- copy dcheck.exe util\dcheck 

 the problem with this approach
( although it gets the file to where I want it..) when I
 return to my cygwin screen and do a ls -l on util:
                           ls -l util
  responds with: dcheck.exe  

 not exactly unix format.. the .exe extension that is.

Any solutions?

TIA,
Kerry Sanger
Byte Designs Technical Support
--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple